Index: sys/netinet6/ip6_output.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/ip6_output.c,v
retrieving revision 1.32
diff -u -r1.32 ip6_output.c
--- sys/netinet6/ip6_output.c	2001/09/12 08:37:55	1.32
+++ sys/netinet6/ip6_output.c	2001/09/24 18:52:34
@@ -72,6 +72,7 @@
 #include "opt_pfil_hooks.h"
 
 #include <sys/param.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/proc.h>
Index: sys/netinet6/ipcomp_core.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/ipcomp_core.c,v
retrieving revision 1.2
diff -u -r1.2 ipcomp_core.c
--- sys/netinet6/ipcomp_core.c	2001/06/11 12:39:06	1.2
+++ sys/netinet6/ipcomp_core.c	2001/09/24 18:52:41
@@ -39,6 +39,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/domain.h>
Index: sys/netinet6/ipcomp_input.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/ipcomp_input.c,v
retrieving revision 1.4
diff -u -r1.4 ipcomp_input.c
--- sys/netinet6/ipcomp_input.c	2001/09/07 07:19:12	1.4
+++ sys/netinet6/ipcomp_input.c	2001/09/24 18:52:46
@@ -39,6 +39,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/domain.h>
 #include <sys/protosw.h>
Index: sys/netinet6/ipcomp_output.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/ipcomp_output.c,v
retrieving revision 1.2
diff -u -r1.2 ipcomp_output.c
--- sys/netinet6/ipcomp_output.c	2001/06/11 12:39:06	1.2
+++ sys/netinet6/ipcomp_output.c	2001/09/24 18:52:50
@@ -39,6 +39,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/domain.h>
Index: sys/netinet6/ipsec.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/ipsec.c,v
retrieving revision 1.12
diff -u -r1.12 ipsec.c
--- sys/netinet6/ipsec.c	2001/06/11 12:39:06	1.12
+++ sys/netinet6/ipsec.c	2001/09/24 18:52:54
@@ -40,6 +40,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/domain.h>
Index: sys/netinet6/mld6.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/mld6.c,v
retrieving revision 1.7
diff -u -r1.7 mld6.c
--- sys/netinet6/mld6.c	2001/06/11 12:39:06	1.7
+++ sys/netinet6/mld6.c	2001/09/24 18:52:57
@@ -74,6 +74,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/protosw.h>
Index: sys/netinet6/nd6.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/nd6.c,v
retrieving revision 1.13
diff -u -r1.13 nd6.c
--- sys/netinet6/nd6.c	2001/09/06 02:40:38	1.13
+++ sys/netinet6/nd6.c	2001/09/24 18:53:03
@@ -44,6 +44,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/callout.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
Index: sys/netinet6/nd6_nbr.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/nd6_nbr.c,v
retrieving revision 1.10
diff -u -r1.10 nd6_nbr.c
--- sys/netinet6/nd6_nbr.c	2001/06/19 14:48:02	1.10
+++ sys/netinet6/nd6_nbr.c	2001/09/24 18:53:07
@@ -36,6 +36,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
Index: sys/netinet6/nd6_rtr.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/nd6_rtr.c,v
retrieving revision 1.9
diff -u -r1.9 nd6_rtr.c
--- sys/netinet6/nd6_rtr.c	2001/09/06 02:40:38	1.9
+++ sys/netinet6/nd6_rtr.c	2001/09/24 18:53:11
@@ -35,6 +35,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
Index: sys/netinet6/raw_ip6.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/raw_ip6.c,v
retrieving revision 1.15
diff -u -r1.15 raw_ip6.c
--- sys/netinet6/raw_ip6.c	2001/09/25 18:40:52	1.15
+++ sys/netinet6/raw_ip6.c	2001/09/26 15:36:53
@@ -68,6 +68,7 @@
 #include "opt_inet6.h"
 
 #include <sys/param.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/proc.h>
 #include <sys/mbuf.h>
Index: sys/netinet6/route6.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/route6.c,v
retrieving revision 1.4
diff -u -r1.4 route6.c
--- sys/netinet6/route6.c	2001/06/11 12:39:06	1.4
+++ sys/netinet6/route6.c	2001/09/24 18:53:18
@@ -34,6 +34,7 @@
 #include "opt_inet6.h"
 
 #include <sys/param.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/systm.h>
Index: sys/netinet6/scope6.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/scope6.c,v
retrieving revision 1.2
diff -u -r1.2 scope6.c
--- sys/netinet6/scope6.c	2001/06/11 12:39:06	1.2
+++ sys/netinet6/scope6.c	2001/09/24 18:53:23
@@ -31,6 +31,7 @@
  */
 
 #include <sys/param.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
Index: sys/netinet6/udp6_output.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/udp6_output.c,v
retrieving revision 1.6
diff -u -r1.6 udp6_output.c
--- sys/netinet6/udp6_output.c	2001/09/25 18:40:52	1.6
+++ sys/netinet6/udp6_output.c	2001/09/26 15:36:53
@@ -70,6 +70,7 @@
 #include "opt_inet6.h"
 
 #include <sys/param.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/protosw.h>
Index: sys/netinet6/udp6_usrreq.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet6/udp6_usrreq.c,v
retrieving revision 1.18
diff -u -r1.18 udp6_usrreq.c
--- sys/netinet6/udp6_usrreq.c	2001/09/25 18:40:52	1.18
+++ sys/netinet6/udp6_usrreq.c	2001/09/26 15:36:53
@@ -71,6 +71,7 @@
 
 #include <sys/param.h>
 #include <sys/kernel.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/protosw.h>
 #include <sys/socket.h>
Index: sys/nfsclient/bootp_subr.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsclient/bootp_subr.c,v
retrieving revision 1.30
diff -u -r1.30 bootp_subr.c
--- sys/nfsclient/bootp_subr.c	2001/09/18 23:31:49	1.30
+++ sys/nfsclient/bootp_subr.c	2001/09/24 18:54:46
@@ -49,6 +49,7 @@
 #include <sys/systm.h>
 #include <sys/kernel.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mount.h>
 #include <sys/mbuf.h>
Index: sys/nfsclient/krpc_subr.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsclient/krpc_subr.c,v
retrieving revision 1.17
diff -u -r1.17 krpc_subr.c
--- sys/nfsclient/krpc_subr.c	2001/09/18 23:31:51	1.17
+++ sys/nfsclient/krpc_subr.c	2001/09/24 18:54:50
@@ -47,6 +47,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
Index: sys/nfsclient/nfs_lock.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsclient/nfs_lock.c,v
retrieving revision 1.14
diff -u -r1.14 nfs_lock.c
--- sys/nfsclient/nfs_lock.c	2001/09/18 23:31:51	1.14
+++ sys/nfsclient/nfs_lock.c	2001/09/24 18:54:59
@@ -36,6 +36,7 @@
 #include <sys/fcntl.h>
 #include <sys/kernel.h>		/* for hz */
 #include <sys/lock.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/lockf.h>		/* for hz */ /* Must come after sys/malloc.h */
 #include <sys/mbuf.h>
Index: sys/nfsclient/nfs_nfsiod.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsclient/nfs_nfsiod.c,v
retrieving revision 1.71
diff -u -r1.71 nfs_nfsiod.c
--- sys/nfsclient/nfs_nfsiod.c	2001/09/18 23:31:51	1.71
+++ sys/nfsclient/nfs_nfsiod.c	2001/09/24 18:55:03
@@ -52,6 +52,7 @@
 #include <sys/proc.h>
 #include <sys/bio.h>
 #include <sys/buf.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/socketvar.h>
Index: sys/nfsclient/nfs_socket.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsclient/nfs_socket.c,v
retrieving revision 1.71
diff -u -r1.71 nfs_socket.c
--- sys/nfsclient/nfs_socket.c	2001/10/09 02:40:45	1.71
+++ sys/nfsclient/nfs_socket.c	2001/10/11 14:40:06
@@ -47,6 +47,7 @@
 #include <sys/systm.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/mount.h>
Index: sys/nfsclient/nfs_subs.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsclient/nfs_subs.c,v
retrieving revision 1.109
diff -u -r1.109 nfs_subs.c
--- sys/nfsclient/nfs_subs.c	2001/09/27 22:40:37	1.109
+++ sys/nfsclient/nfs_subs.c	2001/10/01 16:32:58
@@ -54,6 +54,7 @@
 #include <sys/mount.h>
 #include <sys/vnode.h>
 #include <sys/namei.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/stat.h>
Index: sys/nfsclient/nfs_vfsops.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsclient/nfs_vfsops.c,v
retrieving revision 1.105
diff -u -r1.105 nfs_vfsops.c
--- sys/nfsclient/nfs_vfsops.c	2001/09/27 22:40:37	1.105
+++ sys/nfsclient/nfs_vfsops.c	2001/10/01 16:32:58
@@ -45,6 +45,7 @@
 #include <sys/systm.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/module.h>
Index: sys/nfsclient/nfs_vnops.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsclient/nfs_vnops.c,v
retrieving revision 1.178
diff -u -r1.178 nfs_vnops.c
--- sys/nfsclient/nfs_vnops.c	2001/10/11 23:38:16	1.178
+++ sys/nfsclient/nfs_vnops.c	2001/10/14 15:27:07
@@ -53,6 +53,7 @@
 #include <sys/mount.h>
 #include <sys/bio.h>
 #include <sys/buf.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/namei.h>
Index: sys/nfsserver/nfs_serv.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsserver/nfs_serv.c,v
retrieving revision 1.107
diff -u -r1.107 nfs_serv.c
--- sys/nfsserver/nfs_serv.c	2001/09/28 04:37:08	1.107
+++ sys/nfsserver/nfs_serv.c	2001/10/01 16:33:01
@@ -81,6 +81,7 @@
 #include <sys/mount.h>
 #include <sys/socket.h>
 #include <sys/socketvar.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/dirent.h>
Index: sys/nfsserver/nfs_srvcache.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsserver/nfs_srvcache.c,v
retrieving revision 1.31
diff -u -r1.31 nfs_srvcache.c
--- sys/nfsserver/nfs_srvcache.c	2001/09/28 04:37:08	1.31
+++ sys/nfsserver/nfs_srvcache.c	2001/10/01 16:33:02
@@ -48,6 +48,7 @@
 #include <sys/malloc.h>
 #include <sys/mount.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/socketvar.h>	/* for dup_sockaddr */
Index: sys/nfsserver/nfs_srvsock.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsserver/nfs_srvsock.c,v
retrieving revision 1.71
diff -u -r1.71 nfs_srvsock.c
--- sys/nfsserver/nfs_srvsock.c	2001/09/28 04:37:08	1.71
+++ sys/nfsserver/nfs_srvsock.c	2001/10/01 16:33:03
@@ -48,6 +48,7 @@
 #include <sys/systm.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/mount.h>
Index: sys/nfsserver/nfs_srvsubs.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsserver/nfs_srvsubs.c,v
retrieving revision 1.109
diff -u -r1.109 nfs_srvsubs.c
--- sys/nfsserver/nfs_srvsubs.c	2001/09/28 04:37:08	1.109
+++ sys/nfsserver/nfs_srvsubs.c	2001/10/01 16:33:03
@@ -55,6 +55,7 @@
 #include <sys/mount.h>
 #include <sys/vnode.h>
 #include <sys/namei.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/stat.h>
Index: sys/nfsserver/nfs_syscalls.c
===================================================================
RCS file: /home/ncvs/src/sys/nfsserver/nfs_syscalls.c,v
retrieving revision 1.72
diff -u -r1.72 nfs_syscalls.c
--- sys/nfsserver/nfs_syscalls.c	2001/09/28 04:37:08	1.72
+++ sys/nfsserver/nfs_syscalls.c	2001/10/01 16:33:03
@@ -53,6 +53,7 @@
 #include <sys/proc.h>
 #include <sys/bio.h>
 #include <sys/buf.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/socketvar.h>
Index: sys/pci/if_dc.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_dc.c,v
retrieving revision 1.56
diff -u -r1.56 if_dc.c
--- sys/pci/if_dc.c	2001/09/29 19:28:31	1.56
+++ sys/pci/if_dc.c	2001/10/01 16:33:08
@@ -92,6 +92,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/pci/if_de.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_de.c,v
retrieving revision 1.136
diff -u -r1.136 if_de.c
--- sys/pci/if_de.c	2001/02/06 10:11:45	1.136
+++ sys/pci/if_de.c	2001/09/24 18:56:35
@@ -42,6 +42,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
Index: sys/pci/if_mn.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_mn.c,v
retrieving revision 1.32
diff -u -r1.32 if_mn.c
--- sys/pci/if_mn.c	2001/06/15 07:39:12	1.32
+++ sys/pci/if_mn.c	2001/09/24 18:56:40
@@ -37,6 +37,7 @@
 #include <sys/kernel.h>
 #include <sys/sysctl.h>
 #include <sys/bus.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/systm.h>
 #include <sys/malloc.h>
Index: sys/pci/if_pcn.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_pcn.c,v
retrieving revision 1.23
diff -u -r1.23 if_pcn.c
--- sys/pci/if_pcn.c	2001/09/29 19:28:31	1.23
+++ sys/pci/if_pcn.c	2001/10/01 16:33:09
@@ -58,6 +58,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/pci/if_rl.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_rl.c,v
retrieving revision 1.61
diff -u -r1.61 if_rl.c
--- sys/pci/if_rl.c	2001/08/15 17:38:43	1.61
+++ sys/pci/if_rl.c	2001/09/24 18:56:51
@@ -86,6 +86,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/pci/if_sf.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_sf.c,v
retrieving revision 1.40
diff -u -r1.40 if_sf.c
--- sys/pci/if_sf.c	2001/09/29 19:28:31	1.40
+++ sys/pci/if_sf.c	2001/10/01 16:33:09
@@ -82,6 +82,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/pci/if_sis.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_sis.c,v
retrieving revision 1.36
diff -u -r1.36 if_sis.c
--- sys/pci/if_sis.c	2001/09/29 19:28:31	1.36
+++ sys/pci/if_sis.c	2001/10/01 16:33:10
@@ -60,6 +60,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/pci/if_sk.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_sk.c,v
retrieving revision 1.45
diff -u -r1.45 if_sk.c
--- sys/pci/if_sk.c	2001/09/29 19:28:31	1.45
+++ sys/pci/if_sk.c	2001/10/01 16:33:10
@@ -71,6 +71,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/pci/if_ste.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_ste.c,v
retrieving revision 1.29
diff -u -r1.29 if_ste.c
--- sys/pci/if_ste.c	2001/09/29 19:28:31	1.29
+++ sys/pci/if_ste.c	2001/10/01 16:33:10
@@ -35,6 +35,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/pci/if_ti.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_ti.c,v
retrieving revision 1.53
diff -u -r1.53 if_ti.c
--- sys/pci/if_ti.c	2001/09/18 18:40:22	1.53
+++ sys/pci/if_ti.c	2001/09/24 18:57:12
@@ -81,6 +81,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/pci/if_tl.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_tl.c,v
retrieving revision 1.66
diff -u -r1.66 if_tl.c
--- sys/pci/if_tl.c	2001/07/09 17:58:37	1.66
+++ sys/pci/if_tl.c	2001/09/24 18:57:18
@@ -181,6 +181,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/pci/if_tx.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_tx.c,v
retrieving revision 1.49
diff -u -r1.49 if_tx.c
--- sys/pci/if_tx.c	2001/09/05 23:04:53	1.49
+++ sys/pci/if_tx.c	2001/09/24 18:57:22
@@ -45,6 +45,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/pci/if_vr.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_vr.c,v
retrieving revision 1.45
diff -u -r1.45 if_vr.c
--- sys/pci/if_vr.c	2001/07/09 17:58:37	1.45
+++ sys/pci/if_vr.c	2001/09/24 18:57:27
@@ -62,6 +62,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/pci/if_wb.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_wb.c,v
retrieving revision 1.43
diff -u -r1.43 if_wb.c
--- sys/pci/if_wb.c	2001/07/09 17:58:37	1.43
+++ sys/pci/if_wb.c	2001/09/24 18:57:32
@@ -88,6 +88,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/pci/if_wxvar.h
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_wxvar.h,v
retrieving revision 1.12
diff -u -r1.12 if_wxvar.h
--- sys/pci/if_wxvar.h	2001/10/15 06:59:41	1.12
+++ sys/pci/if_wxvar.h	2001/10/16 01:03:32
@@ -49,6 +49,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/protosw.h>
 #include <sys/socket.h>
Index: sys/pci/if_xl.c
===================================================================
RCS file: /home/ncvs/src/sys/pci/if_xl.c,v
retrieving revision 1.98
diff -u -r1.98 if_xl.c
--- sys/pci/if_xl.c	2001/09/23 05:13:12	1.98
+++ sys/pci/if_xl.c	2001/09/26 15:37:05
@@ -103,6 +103,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/kernel.h>
Index: sys/sys/mac.h
===================================================================
RCS file: mac.h
diff -N mac.h
--- /dev/null	Tue Oct 16 15:55:02 2001
+++ mac.h	Wed Oct  3 07:10:37 2001
@@ -0,0 +1,224 @@
+/*-
+ * Copyright (c) 1999-2001 Robert N. M. Watson
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+ * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ * SUCH DAMAGE.
+ *
+ * $FreeBSD: $
+ */
+/*
+ * Userland/kernel interface for Mandatory Access Control.
+ *
+ * The POSIX.1e implementation page may be reached at:
+ * http://www.trustedbsd.org/
+ */                                                        
+#ifndef _SYS_MAC_H
+#define _SYS_MAC_H
+
+#ifndef _POSIX_MAC
+#define	_POSIX_MAC
+#endif
+
+#define	FREEBSD_MAC_EXTATTR_NAME	"$freebsd.mac"
+#define	FREEBSD_MAC_EXTATTR_NAMESPACE	EXTATTR_NAMESPACE_SYSTEM
+
+/*
+ * Structures and constants associated with a Biba Integrity policy.
+ * mac_biba represents a Biba label, with mb_type determining its properties,
+ * and mb_grade represents the hierarchal grade if valid for the current
+ * mb_type.
+ */
+struct mac_biba {
+	u_short	mb_type;
+	u_short	mb_grade;
+};
+#define	MAC_BIBA_TYPE_GRADE	0	/* Hierarchal grade with mb_grade. */
+#define	MAC_BIBA_TYPE_LOW	1	/* Dominated by any
+					 * MAC_BIBA_TYPE_LABEL. */
+#define	MAC_BIBA_TYPE_HIGH	2	/* Dominates any
+					 * MAC_BIBA_TYPE_LABEL. */
+#define	MAC_BIBA_TYPE_EQUAL	3	/* Equivilent to any
+					 * MAC_BIBA_TYPE_LABEL. */
+
+/*
+ * The Biba label scope is expressed as an inclusive range of label values.
+ */
+struct mac_biba_scope {
+	struct mac_biba		mbs_bottom;
+	struct mac_biba		mbs_top;
+};
+
+/*
+ * Structures and constants associated with a Multi-Level Security policy.
+ * mac_mls represents an MLS label, with mm_type determining its properties,
+ * and mm_level represents the hierarchal sensitivity level if valid for the
+ * current mm_type.
+ */
+struct mac_mls {
+	u_short	mm_type;
+	u_short	mm_level;
+};
+#define	MAC_MLS_TYPE_LEVEL	0	/* Hierarchal level with mm_level. */
+#define	MAC_MLS_TYPE_LOW	1	/* Dominated by any
+					 * MAC_MLS_TYPE_LABEL. */
+#define	MAC_MLS_TYPE_HIGH	2	/* Dominates any
+					 * MAC_MLS_TYPE_LABEL. */
+#define	MAC_MLS_TYPE_EQUAL	3	/* Equivilent to any
+					 * MAC_MLS_TYPE_LABEL. */
+
+/*
+ * The MLS label scope is expressed as an inclusive range of label values.
+ */
+struct mac_mls_scope {
+	struct mac_mls		mbs_bottom;
+	struct mac_mls		mbs_top;
+};
+
+/*
+ * Structures and constants for efficient, scalable non-overlapping system
+ * partitions.
+ * mac_partition represents a partitiong label, with mp_type determining
+ * its properties, and mp_partition representing the partition number for
+ * the current mp_type.
+ */
+struct mac_partition {
+	u_short	mp_type;
+	u_int	mp_partition;
+};
+#define	MAC_PARTITION_TYPE_PARTITION	0	/* Visible/can effect the
+						 * partition identified by
+						 * mp_partition. */
+#define	MAC_PARTITION_TYPE_ALL		1	/* Visible from any partition,
+						 * not modifiable from any
+						 * partition. */
+#define	MAC_PARTITION_TYPE_NONE		2	/* Visible from no partition,
+						 * not modifiable from any
+						 * partition. */
+
+/*
+ * The Partition scope consists of a single label.
+ */
+struct mac_partition_scope {
+	struct mac_partition	mps;
+};
+
+struct mac {
+	struct mac_biba	m_biba;
+	struct mac_mls	m_mls;
+	struct mac_partition	m_partition;
+};
+typedef struct mac	*mac_t;
+
+struct mac_scope {
+	struct mac_biba_scope	ms_biba;
+	struct mac_mls_scope	ms_mls;
+	struct mac_partition_scope	ms_partition;
+};
+
+const struct mac mac_userland_system_high_label;
+
+#ifndef _KERNEL
+
+/*
+ * POSIX.1e functions visible in the application namespace.
+ */
+int	mac_dominate __P((const mac_t labela, const mac_t labelb));
+int	mac_equal __P((const mac_t labela, const mac_t labelb));
+int	mac_free __P((void *buf_p));
+mac_t	mac_from_text __P((const char *text_p));
+mac_t	mac_from_fd __P((int fildes));
+mac_t	mac_get_file __P((const char *path_p));
+mac_t	mac_get_proc __P((void));
+mac_t	mac_glb __P((const mac_t labela, const mac_t labelb));
+mac_t	mac_lub __P((const mac_t labela, const mac_t labelb));
+int	mac_set_fd __P((int fildes, const mac_t label));
+int	mac_set_file __P((const char *path_p, mac_t label));
+int	mac_set_proc __P((const mac_t label));
+ssize_t	mac_size __P((mac_t label));
+char *	mac_to_text __P((const mac_t label, size_t *len_p));
+int	mac_valid __P((const mac_t label));
+
+/*
+ * System calls wrapped by some POSIX.1e functions.
+ */
+int	__mac_get_fd(int fd, struct mac *mac_p);
+int	__mac_get_file(const char *path_p, struct mac *mac_p);
+int	__mac_get_proc(struct mac *mac_p);
+int	__mac_set_fd(int fd, struct mac *mac_p);
+int	__mac_set_file(const char *path_p, struct mac *mac_p);
+int	__mac_set_proc(struct mac *mac_p);
+
+#else /* _KERNEL */
+
+/*
+ * Information flow/operation mask, used as an argument to mac_can().
+ */
+#define	MAC_NONE	0x00000000
+#define	MAC_READ	0x00000001	/* Information flow to subject. */
+#define	MAC_WRITE	0x00000002	/* Information flow to object. */
+#define	MAC_EXEC	0x00000004	/* Execute the object. */
+#define	MAC_ADMIN	0x00000008	/* Administer object attributes. */
+#define	MAC_SIGNAL	0x00000010	/* Signal the object (process). */
+#define	MAC_CREATE	0x00000020	/* Create an object with this label. */
+#define	MAC_STAT	0x00000040	/* Read object attributes. */
+#define	MAC_ALL	(MAC_READ | MAC_WRITE | MAC_EXEC | MAC_ADMIN | MAC_CREATE | \
+		    MAC_STAT)
+
+/*
+ * Types of objects.  MAC return values frequently depend on the object
+ * type being accesed.
+ */
+#define	MAC_OBJ_PROC		0x00000001	/* Process. */
+#define	MAC_OBJ_VFS_REGULAR	0x00000002	/* File. */
+#define	MAC_OBJ_VFS_DIRECTORY	0x00000003	/* Directory. */
+#define	MAC_OBJ_VFS_DEVICE	0x00000004	/* Device node. */
+#define	MAC_OBJ_VFS_PIPE	0x00000005	/* Pipe. */
+
+/*
+ * Kernel functions to manage and evaluate labels.
+ */
+struct proc;
+struct ucred;
+int	mac_can __P((const struct ucred *cred, const struct mac *label,
+	    int operation, int sub_operation));
+int	mac_cr_cansee __P((const struct ucred *u1, const struct ucred *u2));
+int	mac_dominate __P((const struct mac *labela, const struct mac *labelb));
+int	mac_equal __P((const struct mac *labela, const struct mac *labelb));
+void	mac_init_subject __P((struct ucred *cred));
+void	mac_create_subject __P((const struct ucred *cred_parent,
+	    struct ucred *cred_child));
+int	mac_can_setlabel_subject __P((const struct ucred *cred_old,
+	    const struct ucred *cred_new));
+void	mac_init_object __P((struct mac *label));
+void	mac_create_object __P((const struct ucred *cred, struct mac *label));
+int	mac_can_setlabel_object __P((const struct ucred *cred,
+	    const struct mac *label_old, const struct mac *label_new));
+void	mac_print_label __P((const struct mac *label));
+int	mac_p_candebug __P((const struct proc *p1, const struct proc *p2));
+int	mac_p_cansched __P((const struct proc *p1, const struct proc *p2));
+int	mac_p_cansignal __P((const struct proc *p1, const struct proc *p2,
+	    int signum));
+int	mac_p_canexec __P((const struct proc *p1, const struct mac *label));
+
+#endif /* _KERNEL */
+
+#endif /* !_SYS_MAC_H */
